curl --request DELETE \
--url https://api.leadping.ai/leads/{id}/tags/{tagId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/leads/{id}/tags/{tagId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/leads/{id}/tags/{tagId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.delete("https://api.leadping.ai/leads/{id}/tags/{tagId}")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/leads/{id}/tags/{tagId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/leads/{id}/tags/{tagId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/leads/{id}/tags/{tagId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"assignedToUserId": "<string>",
"assignedTo": {
"id": "<string>",
"name": "<string>"
},
"metadata": {
"trustedFormUrl": "<string>",
"utmSource": "<string>",
"utmMedium": "<string>",
"utmCampaign": "<string>",
"utmTerm": "<string>",
"utmContent": "<string>",
"referrer": "<string>",
"landingPage": "<string>",
"subId": "<string>",
"pubId": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>",
"externalId": "<string>",
"sellerLeadId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"price": 123,
"directPostPrice": 123,
"product": "<string>",
"vertical": "<string>",
"complianceStatus": "<string>",
"complianceBlockedReason": "<string>",
"sourceMetadata": {},
"origin": "<string>",
"importBatchId": "<string>",
"isImported": true,
"assignedPhoneNumberId": "<string>",
"smsConsentStatus": "<string>",
"smsOptedOut": true,
"smsOptOutAt": "2023-11-07T05:31:56Z",
"smsOptInAt": "2023-11-07T05:31:56Z",
"smsHelpRequestedAt": "2023-11-07T05:31:56Z",
"smsConsentPhoneNumber": "<string>",
"trustedFormCheckedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"organizationId": "<string>"
},
"contact": {
"firstName": "<string>",
"lastName": "<string>",
"streetAddress": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"province": "<string>",
"region": "<string>",
"postalCode": "<string>",
"country": "<string>",
"additionalInfo": "<string>"
},
"coordinate": {
"latitude": 123,
"longitude": 123
},
"timeZoneId": "<string>",
"phone": {
"phoneIdentityId": "<string>",
"number": "<string>",
"type": "<string>"
},
"email": "jsmith@example.com",
"avatarUrl": "<string>"
},
"phoneIdentity": {
"number": "<string>",
"lookup": {
"number": "<string>",
"nationalFormat": "<string>",
"recordType": "<string>",
"fraud": "<string>",
"isValid": true,
"lineType": "Wireline",
"carrier": {
"mobileCountryCode": "<string>",
"mobileNetworkCode": "<string>",
"name": "<string>",
"normalizedCarrier": "<string>",
"type": "FixedLine",
"errorCode": "<string>"
},
"callerName": {
"name": "<string>",
"errorCode": "<string>"
},
"portability": {
"alternativeSpid": "<string>",
"alternativeCarrierName": "<string>",
"alternativeCarrierType": "<string>",
"city": "<string>",
"lineType": "<string>",
"localRoutingNumber": "<string>",
"operatingCompanyNumber": "<string>",
"portedDate": "<string>",
"portedStatus": "<string>",
"spid": "<string>",
"carrierName": "<string>",
"carrierType": "<string>",
"state": "<string>"
},
"location": {
"location": "<string>",
"state": "<string>",
"canonicalCity": "<string>",
"canonicalState": "<string>",
"countryCode": "<string>",
"coordinate": {
"latitude": 123,
"longitude": 123
},
"coordinateSource": {
"method": "<string>",
"query": "<string>"
},
"timeZoneId": "<string>",
"timeZoneSource": {
"method": "<string>",
"query": "<string>"
}
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
},
"providerEnrichment": {
"provider": "<string>",
"lookupType": "<string>",
"schemaVersion": 123,
"retrievedAt": "2023-11-07T05:31:56Z",
"rawRecordJson": "<string>"
},
"lastEnrichedAt": "2023-11-07T05:31:56Z",
"lookupActions": [
{
"id": "<string>",
"type": "validation",
"provider": "<string>",
"status": "succeeded",
"occurredAt": "2023-11-07T05:31:56Z",
"providerCostAmount": 123,
"providerPricingVersion": "<string>"
}
],
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
},
"customer": {
"gender": "M",
"height": 123,
"weight": 123,
"birthDate": "2023-12-25",
"maritalStatus": "Married",
"income": 123,
"isHomeowner": true,
"monthsAtResidence": 123,
"creditScore": 123,
"hasBankruptcy": true,
"employmentType": "Employed",
"numberOfDependents": 123,
"hasMedicalCondition": true
},
"enabled": true,
"deletedAt": "2023-11-07T05:31:56Z",
"deletedByUserId": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"archivedByUserId": "<string>",
"archiveReason": 0,
"archiveNote": "<string>",
"isArchived": true,
"currentLeadStatus": {
"id": "<string>",
"category": "Open",
"outcome": "<string>",
"displayName": "<string>",
"changedAt": "2023-11-07T05:31:56Z",
"changedByUserId": "<string>",
"changedByAutomationId": "<string>",
"source": "User"
},
"processingStatus": "Quarantined",
"processingStatusReason": "<string>",
"processingStatusChangedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "<string>",
"name": "<string>",
"normalizedName": "<string>",
"color": "<string>"
}
],
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Remove an organization tag from a lead record
Removes one current-organization tag from a lead while leaving the lead record, other tags, and communication history intact.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Path Parameters
The unique identifier of the lead to update.
The unique identifier of the organization tag to remove.
Response
OK
Describes lead data returned by Leadping.
Leadping user currently responsible for this lead, or null when it is in the unassigned queue.
Identifier and display name of the active organization member assigned to this lead.
Show child attributes
Show child attributes
Structured metadata used for attribution, integrations, and reporting on this lead response.
Show child attributes
Show child attributes
Contact details for the lead or customer represented by this lead response.
Show child attributes
Show child attributes
Canonical phone identity and provider lookup details for this lead.
Show child attributes
Show child attributes
Demographic profile details for the lead represented by this lead response.
Show child attributes
Show child attributes
Indicates whether this lead response is active and available in the Leadping API.
UTC timestamp when this lead was soft deleted.
User ID of the person who soft deleted this lead.
UTC timestamp when this record was archived.
User ID of the person who archived this record.
Defines why a lead was removed from the active working pipeline.
0, 1, 2, 3, 4, 5, 6, 7, 8, 9 Optional note explaining why the lead was archived.
Indicates whether the lead has been archived in Leadping.
Current lead status change summary that describes the lead outcome.
Show child attributes
Show child attributes
Defines the asynchronous verification and enrichment lifecycle for a lead.
Quarantined, Verifying, Validating, Enriching, Ready, Invalid, Failed Explanation when asynchronous lead processing is blocked or fails.
UTC timestamp when the processing stage last changed.
Tags currently attached to this lead, source, or record.
Show child attributes
Show child attributes
Stable unique identifier of the resource.
UTC timestamp when the resource was created.
UTC timestamp when the resource was last modified, or null when it has not been updated.

